import { XMPPService } from "../XMPPService";
import { GenericHandler } from "./GenericHandler";
declare class IQEventHandler extends GenericHandler {
    IQ_GET: any;
    IQ_SET: any;
    IQ_RESULT: any;
    IQ_ERROR: any;
    static getClassName(): string;
    getClassName(): string;
    static getAccessorName(): string;
    getAccessorName(): string;
    constructor(xmppService: XMPPService);
    onIqGetSetReceived(msg: any, stanzaTab: any): void;
    onIqResultReceived(msg: any, stanzaTab: any): void;
    _onIqGetPbxAgentStatusReceived(stanza: any, node: any): void;
    _onIqGetPingReceived(stanza: any, node: any): void;
    _onIqGetQueryReceived(stanza: any, node: any): void;
}
export { IQEventHandler };
